DashForDevsDocs
DocsNewsAPI v1
dashfordevs.comSign in

© 2026 DashForDevs

DocsNewsdashfordevs.comLegalStatus
DocsOrdersList Orders
Introduction
Getting Started
Authentication
Products
Categories
Cart
Checkout
Blog
Reviews
Webhooks
Customers
Orders
List OrdersGet OrderOrder StatusesFulfillmentRefundsOrder Metadata
Inventory
Shipping
Discounts
Affiliates
Email
Media & Files
Analytics & Tracking
Locations
Tax
Global Data
SEO
Error Handling
Geography
Finance
Automations
Page Types
Surveys
Billing & Subscriptions
Storefront Payments
SDK Reference
REST API
Storefront Architecture
Notifications
Security
Team & Permissions
Migrations & Import
Calendar & Appointments
Contact Forms
AI Bots
Dashboard API
Deployment
Changelog
Troubleshooting
Recipes
CLI & Deployment
Image Pipeline
White-label Platforms
Records Engine
Platform Modules
Platform Security
Site Keys & Client Sites
Use Cases
Operations

List Orders

Retrieve orders with filtering by status, date, and customer.

Updated September 8, 2026

On this page
  • Overview
  • SDK Usage
  • Order List Object
  • REST API
  • Next Steps

Overview

List orders for the authenticated customer. This is the same data accessible via dash.auth.getOrders().

SDK Usage

typescript
import dash from "@/lib/dash"

const { orders, pagination } = await dash.auth.getOrders({
  limit: 20,
  offset: 0,
})

Order List Object

json
{
  "orders": [
    {
      "id": "ord_abc123",
      "order_number": "ORD-1042",
      "status": "shipped",
      "subtotal": "59.98",
      "shipping": "12.50",
      "tax": "5.25",
      "discount": "0.00",
      "total": "77.73",
      "item_count": 2,
      "created_at": "2025-01-15T10:30:00Z"
    }
  ],
  "pagination": { "total": 15, "limit": 20, "offset": 0, "has_more": false }
}

REST API

shell
GET /storefront/auth/orders?limit=20&offset=0
Authorization: Bearer {access_token}
X-API-Key: pk_live_your_key

Next Steps

  • Get Order — Full order details
  • Order Statuses — Understanding order states

The dashboard side of these endpoints is described in order management.

PreviousCustomer OrdersNextGet Order

On this page

  • Overview
  • SDK Usage
  • Order List Object
  • REST API
  • Next Steps